For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
              • GETList Projects
              • POSTCreate a Project
              • DELDelete Projects
              • DELDelete a Project
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInfrastructure HostingProjects

Create a Project

Pre-release
POST
https://api.bigcommerce.com/stores/:store_hash/v3/infrastructure/projects
POST
/stores/:store_hash/v3/infrastructure/projects
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/projects \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "my-storefront"
>}'
200Create a project
1{
2 "data": {
3 "uuid": "019500e2-933d-7057-8e81-090dd7240795",
4 "name": "my-storefront",
5 "date_created": "2024-06-15T10:30:00Z",
6 "date_modified": "2024-06-15T10:30:00Z"
7 },
8 "meta": {}
9}
Creates a new infrastructure hosting project.
Was this page helpful?
Previous

List Projects

Next

Delete Projects

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Infrastructure Deploymentsread-onlystore_infrastructure_deployments_read_only
Infrastructure Deploymentscreate previewstore_infrastructure_deployments_create_preview
Infrastructure Deploymentsmanagestore_infrastructure_deployments_manage
Infrastructure Projectsread-onlystore_infrastructure_projects_read_only
Infrastructure Projectsmanagestore_infrastructure_projects_manage
Infrastructure Logsread-onlystore_infrastructure_logs_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects an object.
namestringRequired
The name for the new project.

Response

The project was created successfully.
dataobject
An infrastructure hosting project.
metaobject
Empty meta object.